Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.actions
Class InitContextsAction

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Action
              org.apache.turbine.modules.actions.InitContextsAction

    public class InitContextsAction

extends Action

Used to initialize JNDI contexts.

Version:
  $Id: InitContextsAction.java 1066529 2011-02-02 17:01:46Z ludwig $
Author:
  Greg Ritter, Henning P. Schmiedehausen, Peter Courcoux

Field Summary

Fields inherited from class org.apache.turbine.modules.Action
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`InitContextsAction()`

Method Summary
`void` | `doPerform(PipelineData pipelineData)` This action will place the contexts defined in the TurbineResources instance (if any) into the data.contexts Hashtable.
`void` | `doPerform(RunData data)` Deprecated. Use PipelineData version instead.

Methods inherited from class org.apache.turbine.modules.Action
`getPrefix, perform, perform`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitContextsAction

    public InitContextsAction()

Method Detail

### doPerform

    @Deprecated
    public void doPerform(RunData data)
                   throws NamingException

  Deprecated. Use PipelineData version instead.

  This action will place the contexts defined in the TurbineResources instance (if any) into the data.contexts Hashtable.

  Specified by:
    `doPerform` in class `Action`
  Parameters:
    `data` - The RunData object for the current request.
  Throws:
    `NamingException` - could not create InitialContext

### doPerform

    public void doPerform(PipelineData pipelineData)
                   throws NamingException

  This action will place the contexts defined in the TurbineResources instance (if any) into the data.contexts Hashtable.

  Overrides:
    `doPerform` in class `Action`
  Parameters:
    `pipelineData` - The PipelineRunData object for the current request.
  Throws:
    `NamingException` - could not create InitialContext

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.